com.pixelmed.anatproc

## Class CodedConcept

- java.lang.Object
- - com.pixelmed.anatproc.Concept
  - - com.pixelmed.anatproc.CodedConcept

Direct Known Subclasses:
  DisplayableConcept

    public class CodedConcept
    extends Concept

This class represents a concept that has a coded representation.

### Field Summary

Fields
`protected java.lang.String` `codeMeaning`
`protected java.lang.String` `codeStringEquivalent`
`protected java.lang.String` `codeValue`
`protected java.lang.String` `codingSchemeDesignator`
`protected java.lang.String` `codingSchemeVersion`
`protected java.lang.String` `conceptIdentifier`
`protected java.lang.String` `legacyCodingSchemeDesignator`
`protected java.lang.String[]` `synonynms`

### Fields inherited from class com.pixelmed.anatproc.Concept

`conceptUniqueIdentifier`

### Constructor Summary

Constructors
`protected` `CodedConcept()`
`` `CodedConcept(java.lang.String conceptUniqueIdentifier, java.lang.String conceptIdentifier, java.lang.String codingSchemeDesignator, java.lang.String legacyCodingSchemeDesignator, java.lang.String codingSchemeVersion, java.lang.String codeValue, java.lang.String codeMeaning, java.lang.String codeStringEquivalent, java.lang.String[] synonynms)` Create a coded concept.

### Method Summary

Methods
`java.lang.String` `getCodeAsString()`
`CodedSequenceItem` `getCodedSequenceItem()`
`java.lang.String` `getCodeMeaning()`
`java.lang.String` `getCodeStringEquivalent()`
`java.lang.String` `getCodeValue()`
`java.lang.String` `getCodingSchemeDesignator()`
`java.lang.String` `getCodingSchemeVersion()`
`java.lang.String` `getConceptIdentifier()`
`java.lang.String` `getLegacyCodingSchemeDesignator()`
`java.lang.String[]` `getSynonyms()`
`java.lang.String` `toString()`
`java.lang.String` `toStringBrief()`

### Methods inherited from class com.pixelmed.anatproc.Concept

`equals, getConceptUniqueIdentifier, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### conceptIdentifier

    protected java.lang.String conceptIdentifier

#### codingSchemeDesignator

    protected java.lang.String codingSchemeDesignator

#### legacyCodingSchemeDesignator

    protected java.lang.String legacyCodingSchemeDesignator

#### codingSchemeVersion

    protected java.lang.String codingSchemeVersion

#### codeValue

    protected java.lang.String codeValue

#### codeMeaning

    protected java.lang.String codeMeaning

#### codeStringEquivalent

    protected java.lang.String codeStringEquivalent

#### synonynms

    protected java.lang.String[] synonynms

### Constructor Detail

#### CodedConcept

    public CodedConcept(java.lang.String conceptUniqueIdentifier,
                java.lang.String conceptIdentifier,
                java.lang.String codingSchemeDesignator,
                java.lang.String legacyCodingSchemeDesignator,
                java.lang.String codingSchemeVersion,
                java.lang.String codeValue,
                java.lang.String codeMeaning,
                java.lang.String codeStringEquivalent,
                java.lang.String[] synonynms)

Create a coded concept.

Parameters:
  `conceptUniqueIdentifier` - the unique identifier of the concept, usually a UMLS CUI; required to be unique within the scope of comparisons using `equals(Object)`
  `conceptIdentifier` - the scheme-specific concept identifier, e.g., for SNOMED-CT, the SNOMED Concept Identifier
  `codingSchemeDesignator` - the DICOM PS3.16 Section 8 coding scheme used as the DICOM Coding Scheme Designator, e.g., "SRT", "DCM", "LN", or a private coding scheme
  `legacyCodingSchemeDesignator` - a legacy (alternative) coding scheme, e.g. "SNM3" if what is used in DICOM context groups instead of "SRT"; null if none required (i.e., treat the same as codingSchemeDesignator)
  `codingSchemeVersion` - the version of the coding scheme in which this code is defined, if necessary; null if none required
  `codeValue` - the code used as the DICOM Code Value (e.g., the SNOMED-RT style code rather than the SNOMED-CT style Concept Identifier)
  `codeMeaning` - the text used as the DICOM Code Meaning
  `codeStringEquivalent` - the text value used for a DICOM Code String VR equivalent attribute (e.g., for Body Part Examined instead of in Anatomic Region Sequence); may be null
  `synonynms` - alternative code meanings, including abbreviations or different languages; may be null or empty

#### CodedConcept

    protected CodedConcept()

### Method Detail

#### getConceptIdentifier

    public java.lang.String getConceptIdentifier()

#### getCodingSchemeDesignator

    public java.lang.String getCodingSchemeDesignator()

#### getLegacyCodingSchemeDesignator

    public java.lang.String getLegacyCodingSchemeDesignator()

#### getCodingSchemeVersion

    public java.lang.String getCodingSchemeVersion()

#### getCodeValue

    public java.lang.String getCodeValue()

#### getCodeMeaning

    public java.lang.String getCodeMeaning()

#### getCodeStringEquivalent

    public java.lang.String getCodeStringEquivalent()

#### getSynonyms

    public java.lang.String[] getSynonyms()

#### getCodedSequenceItem

    public CodedSequenceItem getCodedSequenceItem()
                                           throws DicomException

Throws:
  `DicomException`

#### getCodeAsString

    public java.lang.String getCodeAsString()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `Concept`

#### toStringBrief

    public java.lang.String toStringBrief()